#
# Fedora spec file for php-lessphp
#
# Copyright (c) 2012-2015 Shawn Iwinski <shawn.iwinski@gmail.com>
#
# License: MIT
# http://opensource.org/licenses/MIT
#
# Please preserve changelog entries
#

%global github_owner     leafo
%global github_name      lessphp
%global github_version   0.5.0
%global github_commit    0f5a7f5545d2bcf4e9fad9a228c8ad89cc9aa283

%global composer_vendor  leafo
%global composer_project lessphp

# Build using "--without tests" to disable tests
%global with_tests 0%{!?_without_tests:1}

%{!?phpdir:  %global phpdir  %{_datadir}/php}

Name:          php-%{composer_project}
Version:       %{github_version}
Release:       3%{?dist}
Summary:       A compiler for LESS written in PHP

Group:         Development/Libraries
License:       MIT or GPLv3
URL:           http://leafo.net/lessphp
Source0:       https://github.com/%{github_owner}/%{github_name}/archive/%{github_commit}/%{name}-%{github_version}-%{github_commit}.tar.gz

BuildArch:     noarch
# Tests
%if %{with_tests}
BuildRequires: %{_bindir}/phpunit
## phpcompatinfo (computed from version 0.5.0)
BuildRequires: php(language) >= 5.3.0
BuildRequires: php-ctype
BuildRequires: php-date
BuildRequires: php-fileinfo
BuildRequires: php-pcre
%endif

Requires:      php-cli
# phpcompatinfo (computed from version 0.5.0)
Requires:      php(language) >= 5.3.0
Requires:      php-ctype
Requires:      php-date
Requires:      php-fileinfo
Requires:      php-pcre

# Composer
Provides:      php-composer(%{composer_vendor}/%{composer_project}) = %{version}

%description
lessphp is a compiler that generates CSS from a superset language which
adds a collection of convenient features often seen in other languages.
All CSS is compatible with LESS, so you can start using new features
with your existing CSS.

It is designed to be compatible with less.js (http://lesscss.org/), and
suitable as a drop in replacement for PHP projects.


%prep
%setup -qn %{github_name}-%{github_commit}

: Update bin requires and shebang
sed 's#$path\s*=.*#$path = "%{phpdir}/%{composer_project}/";#' \
    -i plessc


%build
# Empty build section, nothing required


%install
: Lib
mkdir -p %{buildroot}%{phpdir}/%{composer_project}
cp -p lessc.inc.php %{buildroot}%{phpdir}/%{composer_project}/

: Bin
mkdir -p %{buildroot}%{_bindir}
cp -p plessc %{buildroot}%{_bindir}/


%check
%if %{with_tests}
%{_bindir}/phpunit -v tests
%else
: Tests skipped
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md
%doc composer.json
%doc docs/*
%{phpdir}/%{composer_project}
%{_bindir}/plessc


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jun 28 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.5.0-2
- Added php-composer(leafo/lessphp) virtual provide

* Sun Jun 28 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.5.0-1
- Updated to 0.5.0 (RHBZ #1211066)
- %%license usage
- Unpackaged tests
- Removed bin manpage
- Spec cleanup

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 11 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.4.0-1
- Updated to 0.4.0 (RHBZ #995818)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 03 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.3.9-1
- Updated to upstream version 0.3.9 (RHBZ #917299)
- Added php_min_ver global

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.3.8-3
- Fixed man page creation
- Added tests directory ownership

* Sat Nov 17 2012 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.3.8-2
- Added phpci requires to build requires
- Simplified %%prep and updated %%install and %%check
- Moved tests to %%{_datadir}/tests/%%{name}

* Wed Nov 07 2012 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.3.8-1
- Updated to upstream version 0.3.8
- Removed adding of shebang to bootstrap script (fixed upstream)
- Fixed man file creation and removed manual gzip

* Mon Aug 13 2012 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.3.6-1
- Updated to upstream version 0.3.6

* Thu Jul 12 2012 Shawn Iwinski <shawn.iwinski@gmail.com> - 0.3.5-1
- Initial package
